# Visualization
TKV3d
Prs3d

# Prs3d_ShapeTool Class Reference

`#include <Prs3d_ShapeTool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Prs3d_ShapeTool (const TopoDS_Shape &TheShape)
Standard_EXPORT void | InitFace ()
Standard_EXPORT Standard_Boolean | MoreFace () const
Standard_EXPORT void | NextFace ()
Standard_EXPORT const TopoDS_Face & | GetFace () const
Standard_EXPORT Bnd_Box | FaceBound () const
Standard_EXPORT Standard_Boolean | IsPlanarFace () const
Standard_EXPORT void | InitCurve ()
Standard_EXPORT Standard_Boolean | MoreCurve () const
Standard_EXPORT void | NextCurve ()
Standard_EXPORT const TopoDS_Edge & | GetCurve () const
Standard_EXPORT Bnd_Box | CurveBound () const
Standard_EXPORT Standard_Integer | Neighbours () const
Standard_EXPORT Handle_TopTools_HSequenceOfShape | FacesOfEdge () const
Standard_EXPORT void | InitVertex ()
Standard_EXPORT Standard_Boolean | MoreVertex () const
Standard_EXPORT void | NextVertex ()
Standard_EXPORT const TopoDS_Vertex & | GetVertex () const
Standard_EXPORT Standard_Boolean | HasSurface () const
Standard_EXPORT Handle_Poly_Triangulation | CurrentTriangulation (TopLoc_Location &l) const
Standard_EXPORT Standard_Boolean | HasCurve () const
Standard_EXPORT void | PolygonOnTriangulation (Handle(Poly_PolygonOnTriangulation)&Indices, Handle(Poly_Triangulation)&T, TopLoc_Location &l) const
Standard_EXPORT Handle_Poly_Polygon3D | Polygon3D (TopLoc_Location &l) const

## Private Attributes

TopoDS_Shape | myShape
TopExp_Explorer | myFaceExplorer
TopTools_IndexedDataMapOfShapeListOfShape | myEdgeMap
TopTools_IndexedMapOfShape | myVertexMap
Standard_Integer | myEdge
Standard_Integer | myVertex

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_ShapeTool::Prs3d_ShapeTool | ( | const TopoDS_Shape & | TheShape | ) |

## Member Function Documentation

Standard_EXPORT Handle_Poly_Triangulation Prs3d_ShapeTool::CurrentTriangulation | ( | TopLoc_Location & | l | ) | const

Standard_EXPORT Bnd_Box Prs3d_ShapeTool::CurveBound | ( |  | ) | const

Standard_EXPORT Bnd_Box Prs3d_ShapeTool::FaceBound | ( |  | ) | const

Standard_EXPORT Handle_TopTools_HSequenceOfShape Prs3d_ShapeTool::FacesOfEdge | ( |  | ) | const

Standard_EXPORT const TopoDS_Edge& Prs3d_ShapeTool::GetCurve | ( |  | ) | const

Standard_EXPORT const TopoDS_Face& Prs3d_ShapeTool::GetFace | ( |  | ) | const

Standard_EXPORT const TopoDS_Vertex& Prs3d_ShapeTool::GetVertex | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs3d_ShapeTool::HasCurve | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs3d_ShapeTool::HasSurface | ( |  | ) | const

Standard_EXPORT void Prs3d_ShapeTool::InitCurve | ( |  | ) |

Standard_EXPORT void Prs3d_ShapeTool::InitFace | ( |  | ) |

Standard_EXPORT void Prs3d_ShapeTool::InitVertex | ( |  | ) |

Standard_EXPORT Standard_Boolean Prs3d_ShapeTool::IsPlanarFace | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs3d_ShapeTool::MoreCurve | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs3d_ShapeTool::MoreFace | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs3d_ShapeTool::MoreVertex | ( |  | ) | const

Standard_EXPORT Standard_Integer Prs3d_ShapeTool::Neighbours | ( |  | ) | const

Standard_EXPORT void Prs3d_ShapeTool::NextCurve | ( |  | ) |

Standard_EXPORT void Prs3d_ShapeTool::NextFace | ( |  | ) |

Standard_EXPORT void Prs3d_ShapeTool::NextVertex | ( |  | ) |

void Prs3d_ShapeTool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Prs3d_ShapeTool::operator new | ( | size_t | size | ) | `[inline]`

void* Prs3d_ShapeTool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_Poly_Polygon3D Prs3d_ShapeTool::Polygon3D | ( | TopLoc_Location & | l | ) | const

Standard_EXPORT void Prs3d_ShapeTool::PolygonOnTriangulation | ( | Handle(Poly_PolygonOnTriangulation)& | Indices,
|  | Handle(Poly_Triangulation)& | T,
|  | TopLoc_Location & | l
| ) | const

## Field Documentation

Standard_Integer Prs3d_ShapeTool::myEdge `[private]`

TopTools_IndexedDataMapOfShapeListOfShape Prs3d_ShapeTool::myEdgeMap `[private]`

TopExp_Explorer Prs3d_ShapeTool::myFaceExplorer `[private]`

TopoDS_Shape Prs3d_ShapeTool::myShape `[private]`

Standard_Integer Prs3d_ShapeTool::myVertex `[private]`

TopTools_IndexedMapOfShape Prs3d_ShapeTool::myVertexMap `[private]`

The documentation for this class was generated from the following file:

- Prs3d_ShapeTool.hxx